OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.CLEvent

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBCLEvent :: MonadIO m => m Bool
- gl_ARB_cl_event :: Bool
- gl_SYNC_CL_EVENT_ARB :: GLenum
- gl_SYNC_CL_EVENT_COMPLETE_ARB :: GLenum
- glCreateSyncFromCLeventARB :: MonadIO m => Ptr a -> Ptr b -> GLbitfield -> m GLsync

# Extension Support

glGetARBCLEvent :: MonadIO m => m Bool

Is the ARB_cl_event extension supported?

gl_ARB_cl_event :: Bool

Is the ARB_cl_event extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBCLEvent` in those cases instead.

# Enums

gl_SYNC_CL_EVENT_ARB :: GLenum

gl_SYNC_CL_EVENT_COMPLETE_ARB :: GLenum

# Functions

glCreateSyncFromCLeventARB

Arguments

:: MonadIO m |
=> Ptr a | `context` pointing to elements of type `cl_context`.
-> Ptr b | `event` pointing to elements of type `cl_event`.
-> GLbitfield | `flags`.
-> m GLsync | of type `sync`.